commit:     282a1aa2fac9848ac114a45ea504fe815de42615
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 22 10:46:11 2020 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Oct 22 10:46:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=282a1aa2

dev-util/rosdep: disable tests with network sandbox

Closes: https://bugs.gentoo.org/750494
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-util/rosdep/rosdep-0.19.0-r1.ebuild | 6 +++++-
 dev-util/rosdep/rosdep-9999.ebuild      | 6 +++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/dev-util/rosdep/rosdep-0.19.0-r1.ebuild 
b/dev-util/rosdep/rosdep-0.19.0-r1.ebuild
index 23c874805e5..861de0006ff 100644
--- a/dev-util/rosdep/rosdep-0.19.0-r1.ebuild
+++ b/dev-util/rosdep/rosdep-0.19.0-r1.ebuild
@@ -46,7 +46,11 @@ BDEPEND="
 PATCHES=( "${FILESDIR}/tests.patch" )
 
 python_test() {
-       env -u ROS_DISTRO nosetests --with-xunit test || die
+       if has network-sandbox ${FEATURES}; then
+               einfo "Skipping tests due to network sandbox"
+       else
+               env -u ROS_DISTRO nosetests --with-xunit test || die
+       fi
 }
 
 pkg_postrm() {

diff --git a/dev-util/rosdep/rosdep-9999.ebuild 
b/dev-util/rosdep/rosdep-9999.ebuild
index 23c874805e5..861de0006ff 100644
--- a/dev-util/rosdep/rosdep-9999.ebuild
+++ b/dev-util/rosdep/rosdep-9999.ebuild
@@ -46,7 +46,11 @@ BDEPEND="
 PATCHES=( "${FILESDIR}/tests.patch" )
 
 python_test() {
-       env -u ROS_DISTRO nosetests --with-xunit test || die
+       if has network-sandbox ${FEATURES}; then
+               einfo "Skipping tests due to network sandbox"
+       else
+               env -u ROS_DISTRO nosetests --with-xunit test || die
+       fi
 }
 
 pkg_postrm() {

Reply via email to